<section class="movies-container w-100">

    <div class="container d-flex flex-column justify-content-center align-items-center">

        <!-- heading -->

        <div class="d-flex flex-column align-items-center py-4">
            <p class="large-txt">Popular Movies</p>
            <p class="description">Our Most Popular charts use data from the search behavior of IMDb's more than 250
                million monthly unique visitors to rank the hottest, most buzzed about movies and TV shows.</p>
        </div>

        <mat-paginator (page)="handlePageEvent($event)" [length]="10000" [pageSize]="20" [pageIndex]="pageIndex"
            [hidePageSize]="true" aria-label="Select page" class="my-paginator">
        </mat-paginator>


        <div class="movies-flex">
            <!-- <div class="movie" *ngFor="let item of moviesData"> movie</div> -->

            <div class="movie-card zoom" *ngFor="let item of moviesData" (click)="onMovieClicked(item)">

                <div class="image">
                    <img mat-card-image [src]="item.poster_path" class="poster-img">
                </div>

                <div class="image__overlay">
                    <div class="image__description" maxlength=50>
                        {{item.overview}}
                    </div>
                </div>

                <h2 class="mb-3">{{item.title}}</h2>

                <div class="d-flex w-100 justify-content-around">
                    <div class="d-flex align-items-center">
                        <mat-icon style="margin-right: 5px; height: 16px; font-size: 16px;">thumb_up
                        </mat-icon>
                        <span>{{item.vote_count}}</span>
                    </div>

                    <div class="d-flex align-items-center">
                        <mat-icon style="margin-right: 5px; height: 16px; font-size: 16px;">star</mat-icon>
                        <span>{{item.vote_average}}%</span>
                    </div>

                </div>
            </div>
        </div>

    </div>
</section>